//
//  EmojiMemoryGame.swift
//  Memorize
//
//  Created by Sameh Fakhouri on 9/8/21.
//

import SwiftUI


class EmojiMemoryGame  {
    
    static let emojis: [String] = ["🚖", "🚗", "🚘", "🚙", "🚚", "🚛", "🚜", "🚠", "🚤", "🚲", "🏍", "🏎", "🛥", "✈️", "⛵️", "🚀", "🚑", "🚌", "🛴", "🚒", "🛺", "🚅", "🚢", "🚉"]
    
    static func createMemeoryGame() -> MemoryGame<String> {
        MemoryGame<String>(numberOfPairsOfCards: 4) { pairIndex in
            EmojiMemoryGame.emojis[pairIndex]
        }
    }
    
    private var model: MemoryGame<String> = createMemeoryGame()
    
    var cards: Array<MemoryGame<String>.Card> {
        return model.cards
    }
}
